Page MenuHomePhabricator

Improve article-recommender script
Closed, ResolvedPublic

Description

  • Measure and find bottlenecks in generating article recommendations.
  • Refactor and make code modular
  • ...

source code

Event Timeline

bmansurov created this task.Apr 9 2019, 3:28 PM

Change 502805 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[research/article-recommender@master] Break up 'train' function

https://gerrit.wikimedia.org/r/502805

Change 502805 merged by Bmansurov:
[research/article-recommender@master] Break up 'train' function

https://gerrit.wikimedia.org/r/502805

bmansurov moved this task from Staged to In Progress on the Research board.Apr 10 2019, 4:21 PM
bmansurov removed a project: Patch-For-Review.

Change 502897 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[research/article-recommender@master] Log so YARN can collect logs

https://gerrit.wikimedia.org/r/502897

Change 502897 merged by Bmansurov:
[research/article-recommender@master] Log so YARN can collect logs

https://gerrit.wikimedia.org/r/502897

Change 503099 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[research/article-recommender@master] Profile the codebase

https://gerrit.wikimedia.org/r/503099

Change 503099 merged by Bmansurov:
[research/article-recommender@master] Profile the codebase

https://gerrit.wikimedia.org/r/503099

bmansurov moved this task from Backlog to In-progress on the Article-Recommendation board.
bmansurov triaged this task as Normal priority.Apr 15 2019, 3:19 PM

Change 505276 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[research/article-recommender@master] WIP: Compute pageviews in one pass

https://gerrit.wikimedia.org/r/505276

Change 505276 merged by Bmansurov:
[research/article-recommender@master] Compute pageviews in one pass

https://gerrit.wikimedia.org/r/505276

Change 505796 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[research/article-recommender@master] Testing

https://gerrit.wikimedia.org/r/505796

Change 505796 abandoned by Bmansurov:
Testing

https://gerrit.wikimedia.org/r/505796

bmansurov closed this task as Resolved.Apr 25 2019, 4:15 PM
bmansurov updated the task description. (Show Details)
bmansurov moved this task from In Progress to Done (current quarter) on the Research board.
bmansurov moved this task from In-progress to Done on the Article-Recommendation board.
bmansurov removed a project: Patch-For-Review.